Package com.destroystokyo.paper.entity

# Interface Pathfinder.PathResult

Enclosing interface:
  Pathfinder

public static interface Pathfinder.PathResult
Represents the result of a pathfinding calculation

## Method Summary

Modifier and Type
Method
Description
`@Nullable Location`
`getFinalPoint()`
`@Nullable Location`
`getNextPoint()`
`int`
`getNextPointIndex()`
`@NotNull List<Location>`
`getPoints()`
All currently calculated points to follow along the path to reach the destination location Will return points the entity has already moved past, see `getNextPointIndex()`

## Method Details

### getPoints

@NotNull @NotNull List<Location> getPoints()
All currently calculated points to follow along the path to reach the destination location Will return points the entity has already moved past, see `getNextPointIndex()`

Returns:
  List of points

### getNextPointIndex

int getNextPointIndex()

Returns:
  Returns the index of the current point along the points returned in `getPoints()` the entity is trying to reach, or null if we are done with this pathfinding.

### getNextPoint

@Nullable @Nullable Location getNextPoint()

Returns:
  The next location in the path points the entity is trying to reach, or null if there is no next point

### getFinalPoint

@Nullable @Nullable Location getFinalPoint()

Returns:
  The closest point the path can get to the target location